Subject: Re: DLL creating problem
From: "Mader, Alexander" <[email-masked]>
To: [email-masked]
Date: Wed, 14 May 2003 07:03:04 +0200

Hallo,

RomikB schrieb:
| Hello All,
|
| I have a problem when trying to create a DLL.
|
| ....
| I need to create a DLL(no-cygwin)
|
| compile:
|   nasm -f format -o file_asm.o   {format = elf | win32 | coff }
|   gcc -c file_c.c -o file_c.o
|
| link:
|   i use:
|      gcc -shared ...
|      ld -shared ...
|      gcc -mdll ...
|      ld -dll ...
|      dllwrap ...
|   but i can't create a true dll
|

To create a non-cygwin-DLL you have to compile and link with
- -mno-cygwin. Depending on what you develop the DLL for you have to add
some other architecture dependend switches. As for direct assemblage I
have no idea.

Best regards,

Allexander.
- --
Alexander Mader <[email-masked]>	Fon: +49-30-93033-636
NILES Werkzeugmaschinen GmbH			Fax: +49-30-93033-603
				www.niles.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/